commonmark-extensions-0.2.7: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Emoji

# Documentation

class HasEmoji a where Source #

Methods

emoji :: Text -> Text -> a Source #

#### Instances

Instances details

HasEmoji (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> Html a Source #
(HasEmoji i, Monoid i) => HasEmoji (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> WithSourceMap i Source #

emojiSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasEmoji il) => SyntaxSpec m il bl Source #